質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Ruby

    7640questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    7241questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • Ruby on Rails 5

    1746questions

bundle install でインストールしたRubyのバージョン変更について

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 150

pwj

score 1

お世話になります。

検索しても、解決しませんでしたので質問させていただきます。

bundle install --path vendor/bundle

によって、インストールされたRuby version: 2.2.6 (x64-mingw32)なのですが、
こちらを2.3.3へ変更したいです。

どのようにすれば変更できるのでしょうか?

一度、先のディレクトリへインストールしたRubyを削除してから再度インストールするのではないかと予想しておりますが、その方法が分かりません。

もしくは、ローカルでのrubyバージョンを変更すれば勝手に変わるものなのでしょうか?

的はずれなことを言っていましたら、指摘頂ければ幸いです。

環境はwindows10で、当該のrubyとdevkitを入れて環境構築をしております。

よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

bundle installでインストールされるのは、gemと呼ばれるrubyのライブラリです。
ruby自体はローカルのものが使用されます。
で、gemの皆さんは、rubyや依存している他のgemのバージョンに非常に敏感ですので、rubyをアップデートすると大抵は困ったことになります。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/01/04 21:47

    acts-as-taggable-onというgemを使用してタグ機能を実装しようとしているのですが、自分が使用しているrubyのバージョンだとエラーが発生してしまうのもですから、バージョンの更新をしようと思いました。
    もう少し粘ってみます。
    回答いただき、ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.51%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

  • 受付中

    rubygems1.x系をインストールしたい

    OpenFlowを勉強しようと思ってUbuntu14.04LTSでTremaをインストールしようとしています。端末で次のように入力してインストールしようとしましたがエラーになりまし

  • 解決済

    gemのインストールがうまくできません

    はじめにファイル構成を記します Projects   -Gemfile   -vendor     -bundle rubyのバージョンは2.0.0p645です rbenvを用い

  • 解決済

    Ruby wheneverize が実行できない

    前提・実現したいことRubyで gem whenever を使用しているのですが、 wheneverize . もしくは、 bundle exec wheneverize . が実

  • 解決済

    ruby on railsのサーバーが起動しない

    前提・実現したいこと rubyをインストールし、ruby -vで確認済み Bundlerもインストールしており、-vで確認済み rails new rails-test

  • 受付中

    Rails bundle installでエラー

    環境 macOS Sierra 10.12 Ruby 2.3.1p112 (2016-04-26 revision 54768) [x86_64-darwin16] Rail

  • 解決済

    Rails4と5のgem fileの違いについて

    現在youtubeを見ながらrailsでアプリを作っているのですが、rails4で解説しているので私が使っているrails5とはgem fileの書き方が異なっています。 rail

  • 受付中

    ターミナルを新たに開くと「command not found」になる

    cloud9を使っていると、新たにターミナルを開き、例えば「rails -v」をすると、さっきまで使えていたはずなのに、command not foundになります。他にも 「ru

  • 解決済

    rails s でエラーになる

     前提・実現したいこと rails の環境構築 プログラミング初心者で、書籍で勉強してましてとりあえずrailsデフォルトのトップページ http://localhost:3000

同じタグがついた質問を見る

  • Ruby

    7640questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    7241questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • Ruby on Rails 5

    1746questions